## ros-kinetic-yocs-ar-marker-tracking 0.8.2

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(yocs_ar_marker_tracking)

##############################################################################
# Find
##############################################################################

find_package(catkin REQUIRED COMPONENTS
  ar_track_alvar_msgs
  roscpp
  geometry_msgs
  sensor_msgs
  yocs_math_toolkit
)
find_package(Boost REQUIRED COMPONENTS system)

find_package(PkgConfig)
pkg_check_modules(NEW_YAMLCPP yaml-cpp>=0.5)
if(NEW_YAMLCPP_FOUND)
  add_definitions(-DHAVE_NEW_YAMLCPP)
endif(NEW_YAMLCPP_FOUND)

##############################################################################
# Catkin
##############################################################################

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES yocs_ar_marker_tracking
  CATKIN_DEPENDS ar_track_alvar_msgs roscpp geometry_msgs sensor_msgs yocs_math_toolkit
  DEPENDS Boost yaml-cpp
)

##############################################################################
# Build
##############################################################################

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${yaml-cpp_INCLUDE_DIRS})

add_subdirectory(src)

##############################################################################
# Install
##############################################################################

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(lib)

###############################################################################
# Nodes
###############################################################################

add_executable(yocs_ar_marker_tracking_node main.cpp)
target_link_libraries(yocs_ar_marker_tracking_node yocs_ar_marker_tracking)

###############################################################################
# Install
###############################################################################

install(TARGETS yocs_ar_marker_tracking_node
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== src/lib/CMakeLists.txt ===
###############################################################################
# Sources
###############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

###############################################################################
# Build
###############################################################################

add_library(yocs_ar_marker_tracking ${SOURCES})
add_dependencies(yocs_ar_marker_tracking ar_track_alvar_msgs_gencpp) # neccessary?
target_link_libraries(yocs_ar_marker_tracking yaml-cpp ${catkin_LIBRARIES})

###############################################################################
# Install
###############################################################################

install(TARGETS yocs_ar_marker_tracking
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-yocs-ar-marker-tracking (0.8.2-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 12 Jan 2017 15:33:07 -0000

ros-kinetic-yocs-ar-marker-tracking (0.6.3-0xenial) xenial; urgency=high

  * Merge branch 'indigo-devel' into indigo
  * Delete the duplicate package
  * Contributors: DaikiMaekawa, Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-kinetic-yocs-ar-marker-tracking (0.6.2-0xenial) xenial; urgency=high

  * update yaml cpp dependency #63 <https://github.com/yujinrobot/yujin_ocs/issues/63>
  * tracked marker prints conf dist and conf head as well
  * disable conf_heading. it does not work..
  * updates
  * add extra spotted and closest function
  * Merge branch 'indigo' into indigo-devel
  * switch maintainer to jihoonl and add yaml-cpp dependency. Fix #56 <https://github.com/yujinrobot/yujin_ocs/issues/56>
  * Add depend on yaml-cpp for yocs_ar_marker_tracking
  * fix the yaml parser fix
  * fix the yaml parser redfine bug
  * Contributors: DongWook Lee, Jihoon Lee, Marcus Liebhardt, Scott K Logan

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-kinetic-yocs-ar-marker-tracking (0.6.1-0xenial) xenial; urgency=high

  * apply install rules for new packages
  * use ar_track_alvar_msgs instead of ar_track_alvar
  * remove eclipse files from bad src location.
  * yaml 0.5 support
  * ar_pair_tracking system working
  * migrates ar marker based algorithms from kobuki x
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-yocs-ar-marker-tracking
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-kinetic-ar-track-alvar-msgs, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-yocs-math-toolkit
Homepage: http://wiki.ros.org/yocs_ar_marker_tracking
Standards-Version: 3.9.2

Package: ros-kinetic-yocs-ar-marker-tracking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-kinetic-ar-track-alvar-msgs, ros-kinetic-geometry-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-yocs-math-toolkit
Description: Collecting, tracking and generating statistics for ar markers from ar_track_alvar.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-yocs-ar-marker-tracking//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
